using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExternalDataSync
{
    public class UMPP_WORK_ORDER
    {
        /// <summary>
        /// 1
        /// 工厂编码
        /// </summary>
        public string SITE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 2
        /// 工作中心
        /// </summary>
        public string WORK_CENTER
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 3
        /// 订单号
        /// </summary>
        public string ORDER_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 4
        /// 工单号
        /// </summary>
        public string WORK_ORDER_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 5
        /// 工单性质
        /// </summary>
        public string NATURE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 6
        /// 产品编码
        /// </summary>
        public string PRO_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 7
        /// 产品名称
        /// </summary>
        public string PRO_NAME
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 8
        /// 工艺路线编码
        /// </summary>
        public string ROUTE_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 9
        /// 工艺路线版本
        /// </summary>
        public string ROUTE_VER
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 10
        /// 产品状态
        /// </summary>
        public string PRODUCT_STATE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 11
        /// 是否注油
        /// </summary>
        public string IS_OILING
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 12
        /// 是否喷漆
        /// </summary>
        public string IS_PAINTING
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 13
        /// 生产方式
        /// </summary>
        public string PRODUCE_TYPE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 14
        /// 优先级
        /// </summary>
        public string PRIORITY
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 15
        /// 生产数量
        /// </summary>
        public string QTY
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 16
        /// 追溯码类型
        /// </summary>
        public string SERIAL_OR_LOR
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 17
        /// 追溯码状态
        /// </summary>
        public string HAS_PRODU_SERIAL
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 18
        /// 追溯码信息
        /// </summary>
        public string NUM_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 19
        /// 生产日期
        /// </summary>
        public string PLAN_DATE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 20
        /// 生产班次
        /// </summary>
        public string PRO_SHIFT
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 21
        /// 生产顺序
        /// </summary>
        public string SEQ_NO
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 22
        /// 计划开始时间
        /// </summary>
        public string PLAN_START_DATE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 23
        /// 计划结束时间
        /// </summary>
        public string PLAN_END_DATE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 24
        /// 批次号
        /// </summary>
        public string BATCH_NO
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 25
        /// 操作标示
        /// </summary>
        public string FLAG
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 26
        /// 序号
        /// </summary>
        public string SN
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 27
        /// 时间戳
        /// </summary>
        public string MARK_TIME
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 28
        /// 日期
        /// </summary>
        public string MARK_DATE
        {
            get;
            set;
        } = "1";

    }
}
